Package twisted :: Package cred :: Module checkers :: Class ICredentialsChecker

[frames | no frames]

## Class ICredentialsChecker

    Interface --+
                |
               ICredentialsChecker

I check sub-interfaces of ICredentials.

Method Summary
| ``requestAvatarId`(self, credentials)` Return a Deferred which will fire a string which identifies an avatar, an empty tuple to specify an authenticated anonymous user (provided as checkers.ANONYMOUS) or fire a Failure(UnauthorizedLogin).

Class Variable Summary
| `credentialInterfaces`: A list of sub-interfaces of ICredentials which specifies which I may check.

Method Details

### requestAvatarId(self, credentials)

  Parameters:
    `credentials` - something which implements one of the interfaces in self.credentialInterfaces.
  Returns:
    a Deferred which will fire a string which identifies an avatar, an empty tuple to specify an authenticated anonymous user (provided as checkers.ANONYMOUS) or fire a Failure(UnauthorizedLogin). Alternatively, return the result itself.

Class Variable Details

### credentialInterfaces

A list of sub-interfaces of ICredentials which specifies which I may check.

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net